Package org.eclipse.microprofile.fault.tolerance.tck.metrics.util

# Class MetricRegistryProxyHandler

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricRegistryProxyHandler

All Implemented Interfaces:
  `InvocationHandler`

public class MetricRegistryProxyHandler extends Object implements InvocationHandler
Invocation handler which dynamically loads the MetricRegistry class and invokes its methods by reflection

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Class<?>`
`METRIC_REGISTRY_CLAZZ`

## Constructor Summary

Constructors
Constructor
Description
`MetricRegistryProxyHandler(Object metricRegistryInstance)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object proxy, Method method, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### METRIC_REGISTRY_CLAZZ

public static final Class<?> METRIC_REGISTRY_CLAZZ

## Constructor Details

### MetricRegistryProxyHandler

public MetricRegistryProxyHandler(Object metricRegistryInstance)

## Method Details

### invoke

public Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`